// Initialise the global array that allows the lookup of the depth of a given object
// GM2.0 does not have a depth on objects so on import from 1.x a global array is created
// NOTE: MacroExpansion is used to insert the array initialisation at import time
gml_pragma( "global", "__global_object_depths()");

// insert the generated arrays here
global.__objectDepths[0] = 0; // obj_norfloor
global.__objectDepths[1] = 0; // obj_hidefloor
global.__objectDepths[2] = 0; // obj_door
global.__objectDepths[3] = 0; // obj_door1
global.__objectDepths[4] = 0; // obj_door2
global.__objectDepths[5] = 0; // obj_door3
global.__objectDepths[6] = 0; // obj_door4
global.__objectDepths[7] = 0; // obj_door5
global.__objectDepths[8] = 0; // obj_door6
global.__objectDepths[9] = 0; // obj_door7
global.__objectDepths[10] = 0; // obj_door8
global.__objectDepths[11] = 0; // obj_door9
global.__objectDepths[12] = 0; // obj_key
global.__objectDepths[13] = 0; // obj_key1
global.__objectDepths[14] = 0; // obj_key2
global.__objectDepths[15] = 0; // obj_key3
global.__objectDepths[16] = 0; // obj_key4
global.__objectDepths[17] = 0; // obj_key5
global.__objectDepths[18] = 0; // obj_key6
global.__objectDepths[19] = 0; // obj_key7
global.__objectDepths[20] = 0; // obj_key8
global.__objectDepths[21] = 0; // obj_key9
global.__objectDepths[22] = 0; // obj_spain
global.__objectDepths[23] = 0; // obj_spain_down
global.__objectDepths[24] = 0; // obj_spring
global.__objectDepths[25] = 0; // obj_norplayer
global.__objectDepths[26] = 0; // obj_lives
global.__objectDepths[27] = 0; // obj_flag
global.__objectDepths[28] = 1; // obj_deadballleftup
global.__objectDepths[29] = 1; // obj_deadballleftdown
global.__objectDepths[30] = 1; // obj_deadballrightup
global.__objectDepths[31] = 1; // obj_deadballrightdown
global.__objectDepths[32] = 0; // obj_deadballcheck


global.__objectNames[0] = "obj_norfloor";
global.__objectNames[1] = "obj_hidefloor";
global.__objectNames[2] = "obj_door";
global.__objectNames[3] = "obj_door1";
global.__objectNames[4] = "obj_door2";
global.__objectNames[5] = "obj_door3";
global.__objectNames[6] = "obj_door4";
global.__objectNames[7] = "obj_door5";
global.__objectNames[8] = "obj_door6";
global.__objectNames[9] = "obj_door7";
global.__objectNames[10] = "obj_door8";
global.__objectNames[11] = "obj_door9";
global.__objectNames[12] = "obj_key";
global.__objectNames[13] = "obj_key1";
global.__objectNames[14] = "obj_key2";
global.__objectNames[15] = "obj_key3";
global.__objectNames[16] = "obj_key4";
global.__objectNames[17] = "obj_key5";
global.__objectNames[18] = "obj_key6";
global.__objectNames[19] = "obj_key7";
global.__objectNames[20] = "obj_key8";
global.__objectNames[21] = "obj_key9";
global.__objectNames[22] = "obj_spain";
global.__objectNames[23] = "obj_spain_down";
global.__objectNames[24] = "obj_spring";
global.__objectNames[25] = "obj_norplayer";
global.__objectNames[26] = "obj_lives";
global.__objectNames[27] = "obj_flag";
global.__objectNames[28] = "obj_deadballleftup";
global.__objectNames[29] = "obj_deadballleftdown";
global.__objectNames[30] = "obj_deadballrightup";
global.__objectNames[31] = "obj_deadballrightdown";
global.__objectNames[32] = "obj_deadballcheck";


// create another array that has the correct entries
var len = array_length_1d(global.__objectDepths);
global.__objectID2Depth = [];
for( var i=0; i<len; ++i ) {
	var objID = asset_get_index( global.__objectNames[i] );
	if (objID >= 0) {
		global.__objectID2Depth[ objID ] = global.__objectDepths[i];
	} // end if
} // end for